"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addAskForConsentListener = addAskForConsentListener;
exports.deInitiate = deInitiate;
exports.getZI = getZI;
exports.reInitialize = reInitialize;
exports.resetZI = resetZI;
exports.setConsent = setConsent;
exports.setEventNameProperties = setEventNameProperties;
exports.setEventProperties = setEventProperties;
exports.setInstantEventNameProperties = setInstantEventNameProperties;
exports.setInstantEventProperties = setInstantEventProperties;
exports.setPageProperties = setPageProperties;
exports.setUserIdentities = setUserIdentities;
exports.setUserProperties = setUserProperties;
exports.unsetUserIdentities = unsetUserIdentities;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'zeo-collect' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const ZeoCollect = _reactNative.NativeModules.ZeoCollect ? _reactNative.NativeModules.ZeoCollect : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function setEventNameProperties(eventName) {
  return ZeoCollect.setEventNameProperties(eventName);
}
function setEventProperties(eventName, eventProp) {
  return ZeoCollect.setEventProperties(eventName, eventProp);
}
function setInstantEventNameProperties(eventName) {
  return ZeoCollect.setInstantEventNameProperties(eventName);
}
function setInstantEventProperties(eventName, eventProp) {
  return ZeoCollect.setInstantEventProperties(eventName, eventProp);
}
function setUserIdentities(userProp) {
  return ZeoCollect.setUserIdentities(userProp);
}
function setUserProperties(userProp) {
  return ZeoCollect.setUserProperties(userProp);
}
function setPageProperties(userProp) {
  return ZeoCollect.setPageProperties(userProp);
}
function unsetUserIdentities() {
  return ZeoCollect.unsetUserIdentities();
}
function deInitiate() {
  return ZeoCollect.deInitiate();
}
function reInitialize() {
  return ZeoCollect.reInitialize();
}
function setConsent(consent) {
  return ZeoCollect.setConsent(consent);
}
function addAskForConsentListener(cb) {
  return ZeoCollect.addAskForConsentListener(cb);
}
function getZI(cb) {
  return ZeoCollect.getZI(cb);
}
function resetZI() {
  return ZeoCollect.resetZI();
}
//# sourceMappingURL=index.js.map