# zeo-collect

React Native package for zeo-collect. This package is used to collect events and send to Zeotap

## Installation

```sh
npm install zeo-collect
```

## Usage
This package provides various functions to send data. Few of them are mentioned below. For complete usage, kindly refer Zeotap React Native Package Implementation guide.

```js
import { 
    setEventNameProperties,
    setEventProperties,
    setInstantEventNameProperties, 
    setInstantEventProperties,
    setUserIdentities
} from 'zeo-collect';

// ...

setEventNameProperties {"eventName"}
setEventProperties {"eventName", eventProperties}
setInstantEventNameProperties {"eventName"}
setInstantEventProperties {"eventName", eventProperties}
setUserIdentities {userIdentities}
```

## Contributing

See the [contributing guide](CONTRIBUTING.md) to learn how to contribute to the repository and the development workflow.

## License

MIT

---

Made with [create-react-native-library](https://github.com/callstack/react-native-builder-bob)
